Name:           grib_api
Version:        1.6.4
Release:        1%{?dist}
Summary:        ECMWF encoding/decoding GRIB software

Group:          System Environment/Libraries
License:        LGPLv3
URL:            http://www.ecmwf.int/products/data/software/grib_api.html
Source0:        http://www.ecmwf.int/products/data/software/download/software_files/grib_api-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gcc-gfortran jasper-devel libpng-devel perl bison flex
#Requires:       

%description
Command line tools for interactive and batch processing 
of GRIB (GRIdded Binary) data.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
chmod a-x AUTHORS README INSTALL LICENSE
# remove empty unused Makefile.am
rm html/Makefile.am
find . -name '*.c' -exec chmod -x {} \;
find . -name 'Makefile*' -exec chmod -x {} \;
rm -rf __dist_doc
mkdir __dist_doc
cp -a examples __dist_doc
rm __dist_doc/examples/*/Makefile*
sed -i -e 's/.*GRIB_DEFINITION_PATH.*//' -e 's/.*GRIB_TEMPLATES_PATH.*//' \
  __dist_doc/examples/*/include.sh


%build
# perl module build doesn't works
%configure F77=gfortran FCFLAGS="$RPM_OPT_FLAGS"
# parallel build seems to be broken %{?_smp_mflags}
make 


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
#find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
mv $RPM_BUILD_ROOT%{_bindir}/parser $RPM_BUILD_ROOT%{_bindir}/grib_parser
mv $RPM_BUILD_ROOT%{_bindir}/points $RPM_BUILD_ROOT%{_bindir}/grib_points
mkdir -p $RPM_BUILD_ROOT%{_fmoddir}
mv $RPM_BUILD_ROOT%{_includedir}/*.mod $RPM_BUILD_ROOT%{_fmoddir}

%clean
rm -rf $RPM_BUILD_ROOT


%check
make check


#%post -p /sbin/ldconfig

#%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS README LICENSE ChangeLog gpl-3.0.txt html
#%{_libdir}/*.so.*
%{_bindir}/*grib*
%{_bindir}/tigge_*
%{_datadir}/grib_api/

%files devel
%defattr(-,root,root,-)
%doc __dist_doc/examples data
%{_includedir}/grib_api.h
%{_includedir}/grib_api_f77.h
%{_fmoddir}/*.mod
#%{_libdir}/*.so
%{_libdir}/libgrib_api.a
%{_libdir}/libgrib_api_f77.a
%{_libdir}/libgrib_api_f90.a


%changelog
* Wed Dec  3 2008 Patrice Dumas <pertusus@free.fr> 1.6.4-1
- update to 1.6.4

* Tue Sep 30 2008 Patrice Dumas <pertusus@free.fr> 1.6.1-1
- update to 1.6.1

* Sat Feb 23 2008 Patrice Dumas <pertusus@free.fr> 1.4.0-1
- update to 1.4.0

* Sat Dec 29 2007 Patrice Dumas <pertusus@free.fr> 1.3.0-1
- initial release
